classdef Settings < handle
    %Settings parameters of the IOtables object model 
    %   Set and retrieve the settings 
    %   
    %
    
    properties
        
        % Location of the datafiles
        IOTablesPath = 'C:\Bart\Research\Brookings2013\Progs\Matlab\Data';
        BLSSubDir = 'IONom'
        MakeName = 'NOMINAL_MAKE'
        UseName = 'NOMINAL_USE'
        FDName = 'NOMINAL_FD'
        NoIndustries =  195
        NoFD = 190        
        
        % Sample coverage
        FirstYear = 1993
        LastYear = 2010
    end
    
    properties ( SetAccess = private , Hidden = false )
    
        Parent
        
    end
    
    properties (Dependent = true, SetAccess = private)
       
        
    end
    
    methods
        
        function obj = Settings( MyParent )
            
            obj.Parent = MyParent;            
                       
        end
        
        % Methods used to change the parameter values
        
    end
    
end

